Bug 1279046 - system-config-selinux won't start because ImportError: No module named selinux
system-config-selinux won't start because ImportError: No module named selinux
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
: 1281653 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 08:16 EST by cube00
Modified: 2015-11-13 04:29 EST (History)
4 users (show)

See Also:
Fixed In Version: policycoreutils-2.4-15.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-12 18:27:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cube00 2015-11-07 08:16:43 EST
Description of problem:
system-config-selinux won't start

Version-Release number of selected component (if applicable):
policycoreutils-gui         x86_64      2.4-14.fc23

How reproducible:
Always

Steps to Reproduce:
1. # dnf install policycoreutils-gui
2. # system-config-selinux 

Actual results:
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 37, in <module>
    import statusPage
  File "/usr/share/system-config-selinux/statusPage.py", line 42, in <module>
    import selinux
ImportError: No module named selinux


Expected results:
system-config-selinux starts correctly.

Additional info:
Took a guess and installed libselinux-python and now the error is
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 38, in <module>
    import booleansPage
  File "/usr/share/system-config-selinux/booleansPage.py", line 25, in <module>
    import seobject
ImportError: No module named seobject

I coudn't guess what the next packaged required should be.
Comment 1 Petr Lautrbach 2015-11-09 03:09:02 EST
Thanks for the report. There's missing requirement on policycoreutils-python in policycoreutils-gui.
Comment 2 Petr Lautrbach 2015-11-09 03:24:09 EST
It should be fixed in policycoreutils-2.4-16.fc24 and policycoreutils-2.4-15.fc23
Comment 3 Fedora Update System 2015-11-09 03:30:28 EST
policycoreutils-2.4-15.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-de58736b41
Comment 4 Fedora Update System 2015-11-09 22:23:05 EST
policycoreutils-2.4-15.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update policycoreutils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-de58736b41
Comment 5 cube00 2015-11-10 05:38:36 EST
Thanks for the quick turnaround Petr, I've added feedback to bodhi.
Comment 6 Fedora Update System 2015-11-12 18:27:24 EST
policycoreutils-2.4-15.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Petr Lautrbach 2015-11-13 04:29:52 EST
*** Bug 1281653 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.